%define	name	wltool
%define	version	1.4.1.1
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Whitelist Tool: help out suspend/resume hacks
License:	GPL
URL:		http://qa.mandriva.com/twiki/bin/view/Main/SuspendWhitelist
Group:		System/Kernel and hardware
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	pciutils-devel
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
ExclusiveArch:	%{ix86} x86_64
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a userspace tool that helps with hacks specific to your
machine based on what is reported from a whitelist.
It is able to handle the following hacks automatically:
* pass s3_sleep to kernel while running
* use vbetool vbestate save/restore
* use vbetool post
* use vbetool vbemode set/get
* turn backlight on radeons on/off

It is also able to report if you cannot use framebuffer with suspend,
although this you have to disable yourself (pass vga=0 to kernel at
boot).

If you have a machine that requires any of these hacks, but that
wltool is unaware of, please report at:
%{url}

%prep
%setup -q

%build
%make arch=%{_arch} CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
%makeinstall

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc README ChangeLog
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/wltool
%{_sbindir}/%{name}

%changelog
* Wed Sep 13 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.4.1.1-1mdv2007.0
- fix typo in initscript (fixes #25687)

* Tue Sep 12 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.4.1-1mdv2007.0
- 1.4.1:
	o revert so that empty string will still match, rather add a
	  dummy entry first in the model for machines with broken dmi.
	o add Dell Precision M60 to whitelist (from Guillaume Rousse)

* Mon Sep 11 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.4-1mdv2007.0
- 1.4:
	o fix so that empty string match won't pick first model in whitelist
	o add initscript
	o add spec file

* Mon Sep 11 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3-4mdv2007.0
- don't try to run when there's no acpi support to avoid useless error messages
- don't pass all options as one argument in initscript

* Mon Sep 11 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3-3mdv2007.0
- add init script

* Sat Sep 09 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3-2mdv2007.0
- fix buildarch/exlusivearch mixup
- update description

* Sat Sep 09 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3-1mdv2007.0
- 1.3:
	o fix -q option for quiet mode

* Sat Sep 09 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2-1mdv2007.0
- 1.2:
	o Add back vbetool support that was stripped
	o Have vbetool to save/restore state directly to/from file
	o Add suspend & resume modes, with default mode just setting s3_sleep
	  parameters
	o update to vbetool 0.7
	o get rid of warnings
- Only build on %%{ix86} & x86_64
- remove requires as it will work on older kernel, but without acpi_sleep
- update summary

* Fri Sep 08 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1-1mdv2007.0
- 1.1:
	o Add quiet option
	o Add changelog & copyright notice
- add docs
 
* Fri Sep 08 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-2mdv2007.0
- fix url

* Fri Sep 08 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-1mdv2007.0
- initial release
